import { Controller } from '../Controller';
import { LarkResponse } from '../LarkResponse';
import { IHTMLMetaElement, IHTMLLinkElement } from './PageController/PageControllerDto';
export declare class PageController extends Controller {
    title: string;
    script: string[];
    inlineScript: string[];
    style: string[];
    inlineStyle: string[];
    headScript: string[];
    meta: IHTMLMetaElement[];
    link: IHTMLLinkElement[];
    constructor();
    addStyle(url: string, remote?: boolean): this;
    addInlineStyle(style: string | {
        _getCss: () => string;
    }): void;
    addInlineScript(script: string): void;
    addLink(link: IHTMLLinkElement): this;
    addMeta(meta: IHTMLMetaElement): this;
    addHeadScript(script: string): void;
    viewport(): void;
    addScript(href: string, remote?: boolean): this;
    /**
     * 渲染网页
     * @param view - 模版
     * @param data - 渲染用的数据
     * @param userDefaultHTMLTemplate 是否使用缺省的页面模版
     */
    render(view?: string, data?: any, userDefaultHTMLTemplate?: boolean): LarkResponse;
}
